%define luaver 5.1
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           luadoc
Version:        3.0.1
Release:        %mkrel 3
Summary:        Documentation Generator Tool for the Lua language

Group:          Development/Other
License:        MIT
URL:            http://luadoc.luaforge.net/
Source0:        http://luaforge.net/frs/download.php/3185/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch

Requires:       lua
Requires:       lua-filesystem
Requires:       lua-logging

%description
LuaDoc is a documentation generator tool for Lua source code. It parses the
declarations and documentation comments in a set of Lua source files and
produces a set of XHTML pages describing the commented declarations and
functions.

The output is not limited to XHTML. Other formats can be generated by
implementing new doclets. The format of the documentation comments is also
flexible and can be customized by implementing new taglets.

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} LUA_LIBDIR=$RPM_BUILD_ROOT/%{lualibdir} LUA_DIR=$RPM_BUILD_ROOT/%{luapkgdir} SYS_BINDIR=$RPM_BUILD_ROOT/%{_bindir} LUA_INTERPRETER=%{_bindir}/lua


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/us/*
%doc README
%{luapkgdir}/*
%{_bindir}/luadoc


%changelog
* Tue Feb 02 2010 Rémy Clouard <shikamaru@mandriva.org> 3.0.1-3mdv2010.1
+ Revision: 499393
- rebuild for new lua-filesystem

* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 3.0.1-2mdv2010.0
+ Revision: 439623
- rebuild

* Sun Dec 28 2008 Jérôme Soyer <saispo@mandriva.org> 3.0.1-1mdv2009.1
+ Revision: 320583
- Fix Requires
- import luadoc


